Create a role
- POST /platform/infrastructure/blueprinter/roles
Create a Blueprinter role.
Request body
The data you want to use for creating a role.
-
roleobjectrequired -
Describes whether certain runners are blessed to run a Role.
-
auto_blessedbooleanrequired -
Whether runners are automatically allowed to be assigned the containers of this role.
-
containersobjectrequired -
The containers that are part of this role
-
kindstringrequired -
The kind of container set, should be one of 'docker', 'elasticsearch', 'kibana', or 'apm'
-
optionsobjectrequired -
Options for a ContainersEntry belonging to a role
-
runners_secretstring -
Secret shared between the runners that have containers in this container set allocated.
-
container_set_secretstring -
Secret shared between the containers that are part of this container set.
-
enabled_by_named_feature_flagstring -
A named feature flag to check whether this container is enabled or not
Responses
The role aggregate that was just created.
The role ID you specified is already in use. (code: roles.already_exists)